Teamspeak Client 3.0.1 and Server 3.0.0 for Gentoo

There are no ebuilds for Teamspeak Server 3.0.0 and Teamspeak client 3.0.1 available  in the net. Thus I modified the old one to match my needs. It has not been a difficult task, but surely someone will be happy to have the ebuild. If the automatic download fails, please download the distfiles from Teamspeak Servers.

You can download the teamspeak-3.0.1.ebuild (559) from our Server.

If you need help in using these ebuilds, do not hesitate to contact us.
Best regards xexplorers

1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
Loading...

Staroffice 8 crash on amd64

Today I recognized my Staroffice 8 not starting any more on my gentoo box.  I know, StarOffice is old, but it is still doing the job and most newer word processors just have tons of more features that, to be honest, most people do not use. For most real work I use Latex, but StarOffice enables me to write a short document on the fly and to open Microsoft Office files.

When trying to start StarOffice it instantly crashed with the following dialog (Translated to english language with export LC_ALL=C):

Due to an unexpected error, StarOffice crashed. All the files you were working on will be saved now. The next time StarOffice is launched, your files will be recovered automatically.

No further Information in the console or where ever was available.  I already thought about unistalling StarOffice and installing a newer word processor like OpenOffice, then I remembered that StarOffice is a 32bit application, which uses the 32bit emulation libraries on an amd64 system.  Well, I also have remembered, that there recently has been  an upgrade of the  emul-linux-x86-libs to version 20110722.  With try and error I found out that emul-linux-x86-baselibs-20110722 was the one which was causing the problem. Most probably emul-linux-x86-baselibs-20110722 is also incompatible to other applications.

To solve the problem include

>=app-emulation/emul-linux-x86-baselibs-20110722

into your /etc/portage/package.mask file to prevent the newer emul-linux-x86-baselibs from getting emerged.

Well, emul-linux-x86-motif-20110722 requires a recent version of emul-linux-x86-baselibs as dependency and refuses to install afterwards. To fix this include

app-emulation/emul-linux-x86-baselibs-20110722-r99

into your /etc/portage/profile/package.provided file. This may break some 32bit motif applications. In this case it may be necessary to downgrade the emul-linux-x86-motif package, also. Since I do not have any 32bit motiv based applications on my system I did not try that out.

Afterwards StarOffice 8 starts as usual. Hopefully the next version of emul-linux-x86-baselibs is compatible with StarOffice again.

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (1 votes, average: 4.00 out of 5)
Loading...